%define gail_version 1.3
%define gnome_vfs2_version 2.5.0
%define gtk2_version 2.3.0
%define libxml2_version 2.4.20
%define pango_version 1.0.99

### Abstract ###

Name: gtkhtml2
Version: 2.11.1
Release: 7%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Summary: An HTML widget for GTK+ 2.0
BuildRoot: %{_tmppath}/%{name}-root
Source: http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.11/libgtkhtml-%{version}.tar.bz2

### Dependencies ###

Requires: gail >= %{gail_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libxml2 >= %{libxml2_version}

### Build Dependencies ###

BuildRequires: fontconfig
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libtool
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: pango-devel >= %{pango_version}

%description
GtkHTML2 (sometimes called libgtkhtml) is a widget for
displaying html pages.

%package devel
Group: Development/Libraries
Summary: Libraries, includes, etc to develop Gtkhtml2 applications
Requires: gtkhtml2 = %{version}-%{release}
Requires: gail-devel >= %{gail_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libxml2-devel >= %{libxml2_version}

%description devel
Libraries and include files that can be used to develop Gtkhtml2 applications.

%prep
%setup -q -n libgtkhtml-%{version}

%build
# XXX remove this when bug #83188 is resolved
%ifarch x86_64
%define optflags -g
%endif
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

# remove unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/libgtkhtml-2.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gtkhtml-2.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog

